%define ver 0.0.3
%define rel 3

%define from_git 1
%if %{from_git}
%define githash ccfd5c6d
%endif

%if "%{?_dist_release}" == "vl6"
%define with_vala 0
%else
%define with_vala 1
%endif

Summary: Japanese Kana Kanji conversion library (libkkc)
Name: libkkc
Version: %{ver}
%if %{from_git}
Release: %{rel}.git%{githash}%{_dist_release}
%else
Release: %{rel}%{_dist_release}
%endif
License: GPLv3
Group: System Environment/Libraries
URL: https://bitbucket.org/libkkc/libkkc/
%if %{from_git}
Source0: libkkc-%{githash}.tar.gz
%else
Source0: https://bitbucket.org/libkkc/libkkc/downloads/%{name}-%{version}.tar.gz
%endif
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
%if "%{?_dist_release}" == "vl6"
BuildRequires: libgee-devel
%else
BuildRequires: libgee06-devel
%endif
BuildRequires: json-glib-devel
BuildRequires: marisa-trie-devel
%if %{with_vala}
BuildRequires: vala-devel
BuildRequires: vala-tools
%endif

Vendor: Project Vine
Distribution: Vine Linux
Packager: iwaim

%description
libkkc provides a converter from Kana-string to
Kana-Kanji-mixed-string.  It was named after kkc.el in GNU Emacs, a
simple Kana Kanji converter, while libkkc tries to convert sentences
in a bit more complex way using N-gram language models.

%package devel
Summary: Header files and libraries for developing apps which will use libkkc
Group: Development/Libraries
Requires: %{name} = %{version}-%{release}

%description devel
The libkkc-devel package contains the header files and libraries.

%prep
%if %{from_git}
%setup -q -n %{name}-%{githash}
%else
%setup -q
%endif

%build
%if %{from_git}
./autogen.sh
%endif
%configure --enable-shared \
%if %{with_vala}
           --enable-vala=yes \
%else
           --enable-vala=no \
%endif

%__make

%install
%__rm -rf $RPM_BUILD_ROOT
%makeinstall

%find_lang %{name}

# remove files
%__rm -f $RPM_BUILD_ROOT%{_libdir}/libkkc.la

%clean
%__rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files -f %{name}.lang
%defattr(-,root,root,-)
%doc README ChangeLog COPYING AUTHORS NEWS
%{_bindir}/kkc
%{_libdir}/libkkc.so.*
%{_libdir}/girepository-1.0/Kkc-1.0.typelib
%dir %{_datadir}/libkkc
%{_datadir}/libkkc/rules

%files devel
%defattr(-,root,root,-)
%doc COPYING AUTHORS
%dir %{_includedir}/libkkc
%{_includedir}/libkkc/libkkc.h
%{_libdir}/libkkc.so
%{_libdir}/pkgconfig/libkkc.pc
%{_datadir}/gir-1.0/Kkc-1.0.gir
%{_datadir}/vala/vapi/kkc-1.0.deps
%{_datadir}/vala/vapi/kkc-1.0.vapi

%changelog
* Fri Feb  1 2013 IWAI, Masaharu <iwai@alib.jp> 0.0.3-3.gitccfd5c6d
- update to git ccfd5c6d9f913e0a413fe5d0c45bb70032382f68
- add post and postun script
- add translate file

* Tue Jan 29 2013 IWAI, Masaharu <iwai@alib.jp> 0.0.3-2
- support Vine Linux 6
 - without Vala
 - BR: libgee-devel

* Mon Jan 28 2013 IWAI, Masaharu <iwai@alib.jp> 0.0.3-1
- initial build for Vine Linux

