%define ver 0.2.1
%define rel 1

%define srcname marisa

Summary: Matching Algorithm with Recursively Implemented StorAge
Name: marisa-trie
Version: %{ver}
Release: %{rel}%{_dist_release}
License: BSD
Group: System Environment/Libraries
URL: http://code.google.com/p/marisa-trie/
Source0: http://marisa-trie.googlecode.com/files/%{srcname}-%{version}.tar.gz
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot

Vendor: Project Vine
Distribution: Vine Linux
Packager: iwaim

%description
*Matching Algorithm with Recursively Implemented !StorAge (MARISA)* is a static
 and space-efficient trie data structure. And *libmarisa* is a C++ library to p
rovide an implementation of MARISA. Also, the package of *libmarisa* contains a
 set of command line tools for building and operating a MARISA-based dictionary
.

A MARISA-based dictionary supports not only lookup but also reverse lookup, com
mon prefix search and predictive search.

 * Lookup is to check whether or not a given string exists in a dictionary.
 * Reverse lookup is to restore a key from its ID.
 * Common prefix search is to find keys from prefixes of a given string.
 * Predictive search is to find keys starting with a given string.

The biggest advantage of *libmarisa* is that its dictionary size is considerabl
y more compact than others. See below for the dictionary size of other implemen
tations.


%package devel
Summary: Header files and libraries for developing apps which will use marisa-trie
Group: Development/Libraries
Requires: %{name} = %{version}-%{release}

%description devel
The marisa-trie-devel package contains the header files and libraries.

%prep
%setup -q -n %{srcname}-%{version}

%build
%configure --enable-shared
%__make

%install
%__rm -rf $RPM_BUILD_ROOT
%makeinstall

# remove files
%__rm -f $RPM_BUILD_ROOT%{_libdir}/*.{la,a}

%clean
%__rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc README ChangeLog COPYING AUTHORS NEWS docs
%{_bindir}/marisa-benchmark
%{_bindir}/marisa-build
%{_bindir}/marisa-common-prefix-search
%{_bindir}/marisa-dump
%{_bindir}/marisa-lookup
%{_bindir}/marisa-predictive-search
%{_bindir}/marisa-reverse-lookup
%{_libdir}/libmarisa.so.*

%files devel
%defattr(-,root,root,-)
%doc COPYING AUTHORS
%{_libdir}/pkgconfig/marisa.pc
%dir %{_includedir}/marisa
%{_includedir}/marisa.h
%{_includedir}/marisa/*.h
%{_libdir}/libmarisa.so

%changelog
* Mon Jan 28 2013 IWAI, Masaharu <iwai@alib.jp> 0.2.1-1
- initial build for Vine Linux

